summaryrefslogtreecommitdiff
path: root/examples/wandboard-customise.sh
diff options
context:
space:
mode:
authorNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
committerNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
commit857094af5a523d4e746cada537595f849f4281a4 (patch)
treebbf3aec1050d53726a7f415a47336aa5a826dec5 /examples/wandboard-customise.sh
parent05dcc3af8835fce167b6ddd9f29d8c72ae0e8a58 (diff)
downloadvmdebootstrap-857094af5a523d4e746cada537595f849f4281a4.tar.gz
add modules to cubietruck example and provide a wandboard example based on that.
Diffstat (limited to 'examples/wandboard-customise.sh')
-rw-r--r--examples/wandboard-customise.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/examples/wandboard-customise.sh b/examples/wandboard-customise.sh
new file mode 100644
index 0000000..f16cff0
--- /dev/null
+++ b/examples/wandboard-customise.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+rootdir=$1
+image=$2
+
+if [ -z "${image}" ]; then
+ echo "Image not specified"
+ exit
+fi
+
+if [ ! -f '/usr/lib/u-boot/wandboard_quad/u-boot.imx' ]; then
+ echo "Unable to find wandboard u-boot file"
+ exit
+fi
+
+# u-boot needs to be dd'd to the device, not a partition
+# but kpartx does not setup the device, just the partitions
+
+dd if=/usr/lib/u-boot/wandboard_quad/u-boot.imx of=${image} seek=1 conv=fsync bs=1k
+
+mkdir -p $rootdir/boot/dtbs
+cp $rootdir/usr/lib/linux-image-*-armmp/* $rootdir/boot/dtbs
+
+for module in ahci_platform ahci_imx sd-mod; do
+ echo ${module} >> ${rootdir}/etc/initramfs-tools/modules
+done